Package org.springframework.web.bind.annotation

# Interface ValueConstants

public interface ValueConstants
Common value constants shared between bind annotations.

Since:
  3.0.1
Author:
  Juergen Hoeller

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_NONE`
Constant defining a value for no default - as a replacement for `null` which we cannot use in annotation attributes.

## Field Details

### DEFAULT_NONE

static final String DEFAULT_NONE
Constant defining a value for no default - as a replacement for `null` which we cannot use in annotation attributes.

This is an artificial arrangement of 16 unicode characters, with its sole purpose being to never match user-declared values.

See Also:
  - `RequestParam.defaultValue()`
  - `RequestHeader.defaultValue()`
  - `CookieValue.defaultValue()`
  - Constant Field Values